Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Apr 2023 14:11:36 +0300

> Date: Sat, 22 Apr 2023 13:30:41 +0300
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> > Thanks, but this is not what was being discussed, AFAIU.  What I said
> > I'd agree to is to have package-update accept a prefix argument and
> > heed package-install-upgrade-built-in (perhaps renamed),
> 
> I think I explained in the previous email why reusing 
> package-install-upgrade-built-in doesn't seem like a good idea.

And I thought I've explained why I didn't see a need for another
option.

> > and only then
> > update built-in packages.
> 
> I asked what plausible scenario you think might be broken by having 
> package-update upgrade builtin package by default.

That's obvious: this is how package-update behaved until now.

> > I also don't think I like the significant changes in package-update,
> > nor understand why they are needed.
> 
> Like I said: the changes are to avoid relying on package-install being 
> able to install a package that's already installed. Which currently 
> works only for builtins and when only a user option is set. It's a mess.
> 
> And to "avoid interdependency".

Why does this have to be in Emacs 29?  It's a cleanup, right?

> Just to be clear, we are talking about the 4 lines at the end, right?

Yes, and also the (somewhat mysterious) additions of tests for
pkg-desc.